API
API Reference
Customer
Create Customer

Create Customer

Create a new customer in Customerscore.

For interactive API documentation, see the Swagger reference (opens in a new tab).

Endpoint

MethodURL
POSThttps://api.customerscore.io/api/v1/customer

Request Body

Both external_id and name are always required when creating a customer.

FieldTypeRequiredDescription
external_idstringYesUnique identifier for the customer in the external system
namestringYesCustomer name

Example Request

curl -X POST "https://api.customerscore.io/api/v1/customer" \
  -H "Content-Type: application/json" \
  -H "customerscore-key: your-generated-key" \
  -d '{
    "external_id": "12345",
    "name": "Acme Corporation"
  }'

Response Codes

CodeDescription
200The customer has been successfully created
400Bad request
401Unauthorized - Missing customerscore-key in the header
403Forbidden - Invalid key
405Method Not Allowed - Only POST method is allowed
406Not Acceptable